Package com.destroystokyo.paper.event.entity

# Class EntityKnockbackByEntityEvent

java.lang.Object
org.bukkit.event.Event
org.bukkit.event.entity.EntityEvent
com.destroystokyo.paper.event.entity.EntityKnockbackByEntityEvent

All Implemented Interfaces:
  `Cancellable`

public class EntityKnockbackByEntityEvent extends EntityEvent implements Cancellable
Fired when an Entity is knocked back by the hit of another Entity. The acceleration vector can be modified. If this event is cancelled, the entity is not knocked back.

## Nested Class Summary

## Nested classes/interfaces inherited from class org.bukkit.event.Event

`Event.Result`

## Field Summary

### Fields inherited from class org.bukkit.event.entity.EntityEvent

`entity`

## Constructor Summary

Constructors
Constructor
Description
`EntityKnockbackByEntityEvent(@NotNull LivingEntity entity, @NotNull Entity hitBy, float knockbackStrength, @NotNull Vector acceleration)`

## Method Summary

Modifier and Type
Method
Description
`@NotNull Vector`
`getAcceleration()`
`@NotNull LivingEntity`
`getEntity()`
Returns the Entity involved in this event
`static @NotNull HandlerList`
`getHandlerList()`
`@NotNull HandlerList`
`getHandlers()`
`@NotNull Entity`
`getHitBy()`
`float`
`getKnockbackStrength()`
`boolean`
`isCancelled()`
Gets the cancellation state of this event.
`void`
`setCancelled(boolean cancel)`
Sets the cancellation state of this event.

### Methods inherited from class org.bukkit.event.entity.EntityEvent

`getEntityType`

### Methods inherited from class org.bukkit.event.Event

`callEvent, getEventName, isAsynchronous`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### EntityKnockbackByEntityEvent

public EntityKnockbackByEntityEvent(@NotNull @NotNull LivingEntity entity, @NotNull @NotNull Entity hitBy, float knockbackStrength, @NotNull @NotNull Vector acceleration)

## Method Details

### getHandlers

@NotNull public @NotNull HandlerList getHandlers()

Specified by:
  `getHandlers` in class `Event`

### getHandlerList

@NotNull public static @NotNull HandlerList getHandlerList()

### isCancelled

public boolean isCancelled()
Description copied from interface: `Cancellable`
Gets the cancellation state of this event. A cancelled event will not be executed in the server, but will still pass to other plugins

Specified by:
  `isCancelled` in interface `Cancellable`
Returns:
  true if this event is cancelled

### setCancelled

public void setCancelled(boolean cancel)
Description copied from interface: `Cancellable`
Sets the cancellation state of this event. A cancelled event will not be executed in the server, but will still pass to other plugins.

Specified by:
  `setCancelled` in interface `Cancellable`
Parameters:
  `cancel` - true if you wish to cancel this event

### getEntity

@NotNull public @NotNull LivingEntity getEntity()
Description copied from class: `EntityEvent`
Returns the Entity involved in this event

Overrides:
  `getEntity` in class `EntityEvent`
Returns:
  the entity which was knocked back

### getKnockbackStrength

public float getKnockbackStrength()

Returns:
  the original knockback strength.

### getHitBy

@NotNull public @NotNull Entity getHitBy()

Returns:
  the Entity which hit

### getAcceleration

@NotNull public @NotNull Vector getAcceleration()

Returns:
  the acceleration that will be applied